### Constructor

# Camel FolderSummary new

#### Declaration [src]

    CamelFolderSummary*
    camel_folder_summary_new (
      _CamelFolder* folder
    )

#### Description [src]

Create a new `CamelFolderSummary` object.

#### Parameters

`folder`

  Type: `CamelFolder`

  Parent `CamelFolder` object.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelFolderSummary`

A new `CamelFolderSummary` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.